VISPR - A visualization server for CRISPR data.
===============================================

VISPR is a web-based, interactive visualization framework for CRISPR/Cas9 knockout screen experiments.

Installation
------------

The easiest way to install VISPR is to use the Miniconda Python distribution (http://conda.pydata.org/miniconda.html). 
We recommend to use the Python 3.4 variant.
With miniconda installed, you can issue

    conda install -c johanneskoester vispr

to install or update VISPR with all dependencies.

Usage
-----

After successful installation, you can test VISPR with example data by executing

    vispr test

VISPR takes [MAGeCK](http://liulab.dfci.harvard.edu/Mageck) and [FastQC](http://www.bioinformatics.babraham.ac.uk/projects/fastqc) results as input. These are provided along with additional parameters as config files. One config file defines one set of results (i.e. one experiment).
VISPR can be invoked with multiple config files (i.e. multiple experiments), allowing to select and compare experiments via the user interface. The easiest way to generate your own data for visualization in VISPR is to use the [MAGeCK-VISPR](https://bitbucket.org/johanneskoester/mageck-vispr) workflow.
For manual creation of a VISPR config  you can issue

    vispr config

to obtain a template for modification.
Once you have a config file (either generated by the workflow or manually, you can issue

    vispr server path/to/config.yaml

to start a server process that renders the VISPR user interface in a webbrowser.

Installing VISPR with another Python distribution (for experts)
---------------------------------------------------------------

Make sure that you have numpy, scipy, scikit-learn and pandas installed.
Else, their automatic compilation with the command below would take very long.
Then, you can issue

    pip install vispr

or

    pip install vispr --user

if you want to install VISPR without admin rights.
All remaining dependencies will be installed automatically.

Author
------

Johannes Köster (koester@jimmy.harvard.edu),
Liu lab,
Department of Biostatistics and Computational Biology,
Dana-Farber Cancer Institute

License
-------

Licensed under the MIT license (http://opensource.org/licenses/MIT). This project may not be copied, modified, or distributed except according to those terms.